/* general */
var ajaxsvr = {
    "signUp" : "ctrl/ctrl-register.php",
    "signIn" : "ctrl/ctrl-login.php",
    "signOut" : "ctrl/ctrl-login.php",
}
var nextstep = { // for success
    "signUp":"login.php", 
    "signIn":"index.php",   
    "signOut":"login.php",          
};
function verify(d) {
    error="";
    // name
    if (d.name=="") error += "Your name is required\n";
    // email
    if (d.email!=undefined) {
        var pattern = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        if (!pattern.test(d.email.toLowerCase())) 
            error += "Please enter a valid email\n";
    }
    // password
    if (d.cpass!=undefined) 
        if (d.pass.length<6) error += "Passwords must be at least 6 characters\n";
    else if (d.pass.length<6 || d.cpass.length<6) 
        error += "Passwords must be at least 6 characters\n";
    else if (d.pass != d.cpass) 
        error += "Passwords do not match\n";
    // report errors
    if (error!="") { console.log(error); alert(error); return false; } 
    else return true;
}
function sendout(act,d) {
    console.log(act);
    console.log(d);
    $.post( ajaxsvr[act], 
        {   
            action:act,
            data:d,
        },
        function(r) {
            console.log("recv:"+r);
            ret = JSON.parse(r);
            if(ret.sts=="succ") {
                if (ret.msg!=undefined) alert(ret.msg);
                window.location.href = nextstep[act]+"?from="+act;
            } else 
                alert(ret.err);
        }
    );  
}









